<?php
session_start();

require_once __DIR__ . '/init-google-client.php';
?>
<html>

<head>
    <link href="css/form.css" rel="stylesheet" type="text/css" />
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <title>Google Sheet PHP</title>
    <style>
        .success {
            display: inline-block;
            padding: 4px 20px;
        }

        .phppot-container {
            margin-top: 100px;
        }
    </style>
</head>

<body>
    <div class="phppot-container text-center">
        <?php
        if (!empty($accessToken)) {
            $googleSpreadSheetService->refreshToken($client, $accessToken);

            $spreadsheetId = $googleSpreadSheetService->createSpreadSheet($client);

            require_once __DIR__ . '/SpreadsheetModel.php';
            $spreadsheetModel = new SpreedsheetModel();
            $spreadsheetModel->insertSpreadSheetId($spreadsheetId);

            // Two column names added to the sheet header
            $values = [["Name", "Email"]];
            $headingResult = $googleSpreadSheetService->insertHeading($client, $spreadsheetId, $values);
        ?>

            <img src="tick.png">
            <h1>Google Sheet connected!</h1>
            <p>New spreadsheet created with ID: <b><?php echo $spreadsheetId; ?></b></p>
            <p><a href="https://docs.google.com/spreadsheets/d/<?php echo $spreadsheetId; ?>" target="_blank">View created spreadsheet</a></p>
            <?php
            if (!empty($headingResult)) {
            ?>
                <div class="phppot-message success">Sheet header added. <a href="form.php">Go to form</a> to insert data.</div>
            <?php
            }
            ?>
        <?php
        } else {
            $authUrl = $client->createAuthUrl();
        ?>
            <p>Click the below button to connect to Google Sheets API.</p>
            <button><input type="checkbox" id="autoConnectCheckbox" onchange="connectToGoogleSheets()"> Connect to Google Sheets</button>
            <script>
                function connectToGoogleSheets() {
                    var checkBox = document.getElementById("autoConnectCheckbox");
                    if (checkBox.checked === true) {
                        window.location.href = "<?php echo $authUrl; ?>";
                    }
                }
            </script>
        <?php
            exit();
        }
        ?>
    </div>
</body>

</html>